# Horizon Chess Configuration File
#
# Lines starting with a pound sign '#' are considered comments
# and are ignored. All unrecognized commands are also ignored.
# Commands such as 'HASH' must be flush left, not indented.
# The format of each line is important - be careful!
# The order of the lines is irrelevant.  You can
# add/delete/modify/reorder/comment-out lines as desired.
# Please change the following filenames and values to something
# appropriate for your system. Default values are supplied for
# most missing or out-of-range options.
#
#
# Pawn hash table size
# Example: PAWN_HASH 3 = 3 MB
# (range: 1-32) default value is 4 MB
PAWN_HASH 2
#~~~~~~~~~~
# Hash table size
# Example: HASH 60 = 60 MB
# (range: 1-256) default value is 64 MB
HASH 64
#~~~~~~
# Directory holding tablebase files
# Example: TB_DIRECTORY C:\CHESS\TB
# default value is the current working directory
TB_DIRECTORY D:\Chess\Nalimov
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Endgame tablebase cache size
# Example: EGTB_CACHE 4 = 4 MB
# (range: 1-32) default value is 2 MB
EGTB_CACHE 2
#~~~~~~~~~~~
# Opening book path and filename
# Example: OPENING_BOOK C:\CHESS\Horizon\Horizon.dat
# default value: none
OPENING_BOOK D:\Chess\Horizon.dat
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Possible opening book playing styles:
# WIDE chooses same moves as source pgn files by play frequency
# TOURNEY <number> avoids least-played book moves
# BEST <number> plays 'best' book moves <--- plays badly!!!
# DEEP <number> plays deepest book lines (most popular ones)
# number range for BEST/DEEP/TOURNEY options: (1 -> 9);
# Examples:
#   BOOK_STYLE DEEP 3: chooses between 3 most commonly played GM moves
#   BOOK_STYLE BEST 2: chooses between 2 'best' moves
#   BOOK_STYLE TOURNEY 5: chooses moderately reputable moves
# NOTES: If a number is out of range it defaults to '9'
#        DEEP 9, BEST 9, & WIDE are identical options
#        TOURNEY 9 and WIDE are similar, but not identical
#        BEST is a work in progress, it needs improvement
#        WIDE ignores trailing numbers, all other options *require* a number
#        BOOK_STYLE TOURNEY 9: avoids all least-played book moves
#        BOOK_STYLE TOURNEY 1: chooses some unusual as well as mainstream moves
#        BOOK_STYLE WIDE may be the strongest playing option (I need testers!)
# default value: BOOK_STYLE WIDE
BOOK_STYLE WIDE
#~~~~~~~~~~~~~~
# __________________________________________________________
# __________________________________________________________
# The following options are for special usage
# __________________________________________________________
# ICS support for on-line tournaments
# Example: ICS KIBITZ means kibitz pv to ICS
# (range: OFF/KIBITZ/WHISPER) default value is OFF
# NOTE: ICS WHISPER option currently unsupported
ICS OFF
#~~~~~~
# Resign if losing by a large score
# Example: RESIGN OFF turns resignation off (for ChessBase compatibility)
# (range: ON/OFF) default value is ON
RESIGN ON
#~~~~~~~~
# Force engine to play at a weaker playing strength by wasting time
# Example: SET_ELO 1627 = engine will play at 1627 playing strength
# NOTES: This setting is used to weaken the engine for human play
#        This setting is not accurate!
#        Engine makes fewer book moves as Elo is adjusted downward
#        Slow response to commands as Elo is lowered drastically
# (range: 1000-2375) default value is 2375 (full strength)
SET_ELO 2375
#~~~~~~~~~~~
# Disable various search options (weakens engine)
# Example: DISABLE NULL NULL_VERIFY RAZOR_CUTS DELTA_CUTS CHECK_EXTEND IID
# Disables null move, null move verification search, adaptive razoring, delta
#   cuts, check extensions, and internal iterative deepening search
# Example: DISABLE NULL IID
#   disables: null move (*and* null verification search!) and IID search
# Example: DISABLE DELTA_CUTS NULL_VERIFY
#   disables delta cuts, and null verification search (but *not* null move)
# NOTES: This setting is used to weaken the engine for human play
#        Options can appear in any order and in any combination
#        Disabling null-move probably weakens engine the most
# Default value is NOTHING (plays at full strength)
DISABLE NOTHING
#~~~~~~~~~~~~~~
# __________________________________________________________
# __________________________________________________________
# Experimental options (all options disabled)
# __________________________________________________________
# Eval hash table size
# Usage: EVALHASH 3 = 3 MB
# (range: 1-32) default value is 4 MB
#EVALHASH 4 <-- not implemented!!!
#~~~~~~~~~~
# Opening Book Learning (non-aggressive)
# Usage: LEARN <+,-,=+,=-,$,*+,*-> MAXBOOK <plies>
# 'LEARN 0' means do *not* learn, do *not* change the opening book
# 'LEARN +' means learn from wins only
# 'LEARN -' means learn from losses only
# 'LEARN =+' means learn from draws only (reward draws)
# 'LEARN =-' means learn from draws only (penalize draws)
# 'LEARN $' means learn from all decisive games (not from draws)
# 'LEARN *+' means learn from *all* games (rewarding draws)
# 'LEARN *-' means learn from *all* games (penalizing draws)
# 'MAXBOOK 30' means add new book moves, but not beyond 30-ply deep (15 moves)
# (MAXBOOK) default value is 40
# Example: LEARN $ MAXBOOK 40 = learn from decisive games only, add new
#   book moves, but not beyond 40-ply (20 full moves)
# <UNTIL_CASTLED> add moves until both engines have (or cannot) castle
# Example: LEARN - UNTIL_CASTLED = learn from losses only, add new book moves,
#   but not beyond castling
# Example: LEARN + UNTIL_CASTLED MAXBOOK 40 = learn from wins only, add new
#   book moves, but not beyond castling nor 40-ply, whichever comes first
# NOTES:
#   1) LEARN will not appear in any officially released configuration file
#   2) do *not* use learning for tournaments, it will not make any meaningful
#      difference to the quality of the book.
# default value is 'LEARN 0'
#LEARN $ MAXBOOK 40 <-- not implemented!!!
#~~~~~~~~~~~~~~~~~~
